Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2
Interface Constants.Configuration

Enclosing class:
  Constants

    public static interface Constants.Configuration

Field Summary
`static java.lang.String` | `APPLICATION_XML_BUILDER_ALLOW_DTD`
`static java.lang.String` | `ARTIFACTS_TEMP_DIR`
`static java.lang.String` | `ATTACHMENT_TEMP_DIR`
`static java.lang.String` | `CACHE_ATTACHMENTS`
`static java.lang.String` | `CHARACTER_SET_ENCODING` Field CHARACTER_SET_ENCODING
`static java.lang.String` | `CONFIG_CONTEXT_TIMEOUT_INTERVAL`
`static java.lang.String` | `CONFIG_CONTEXT_TIMOUT_INTERVAL` Deprecated. MISSPELLING
`static java.lang.String` | `CONTENT_TYPE`
`static java.lang.String` | `DEPLOYMENT_LIFE_CYCLE_LISTENER` This constant is used to add an deployment life cycle listener to Axis2
`static java.lang.String` | `DISABLE_ADDRESSING_FOR_OUT_MESSAGES` Deprecated. please use org.apache.axis2.addressing.AddressingConstants.DISABLE_ADDRESSING_FOR_OUT_MESSAGES
`static java.lang.String` | `DISABLE_RESPONSE_ACK` If this is set to a Boolean 'true' value, then RequestResponseTransport instances will not be signalled by the Dispatch phase.
`static java.lang.String` | `DISABLE_REST`
`static java.lang.String` | `DISABLE_SOAP_ACTION`
`static java.lang.String` | `DISABLE_SOAP11`
`static java.lang.String` | `DISABLE_SOAP12`
`static java.lang.String` | `DRILL_DOWN_TO_ROOT_CAUSE_FOR_FAULT_REASON`
`static java.lang.String` | `ENABLE_CHILD_FIRST_CLASS_LOADING` this parameter enables child first class loading.
`static java.lang.String` | `ENABLE_HTTP_CONTENT_NEGOTIATION`
`static java.lang.String` | `ENABLE_MTOM`
`static java.lang.String` | `ENABLE_REST`
`static java.lang.String` | `ENABLE_REST_THROUGH_GET`
`static java.lang.String` | `ENABLE_SWA`
`static java.lang.String` | `FILE_SIZE_THRESHOLD`
`static java.lang.String` | `GENERATE_ABSOLUTE_LOCATION_URIS`
`static java.lang.String` | `HTTP_METHOD`
`static java.lang.String` | `HTTP_METHOD_DELETE`
`static java.lang.String` | `HTTP_METHOD_GET`
`static java.lang.String` | `HTTP_METHOD_HEAD`
`static java.lang.String` | `HTTP_METHOD_POST`
`static java.lang.String` | `HTTP_METHOD_PUT`
`static java.lang.String` | `MESSAGE_FORMATTER`
`static java.lang.String` | `MESSAGE_TYPE` This is used to specify the message format which the message needs to be serializes.
`static java.lang.String` | `MIME_BOUNDARY`
`static java.lang.String` | `MM7_COMPATIBLE`
`static java.lang.String` | `MM7_INNER_BOUNDARY`
`static java.lang.String` | `MM7_PART_CID`
`static java.lang.String` | `MTOM_THRESHOLD`
`static java.lang.String` | `REDUCE_WSDL_MEMORY_CACHE`
`static java.lang.String` | `REDUCE_WSDL_MEMORY_TYPE`
`static java.lang.String` | `REST_INPUTSERIALIZE_PARAM`
`static java.lang.String` | `REST_LOCATION_PARAM`
`static java.lang.String` | `REST_METHOD_PARAM`
`static java.lang.String` | `REST_OUTPUTSERIALIZE_PARAM`
`static java.lang.String` | `SEND_STACKTRACE_DETAILS_WITH_FAULTS`
`static java.lang.String` | `SOAP_RESPONSE_MEP`
`static java.lang.String` | `TRANSPORT_IN_URL`
`static java.lang.String` | `TRANSPORT_INFO_MAP` This will be used as a key for storing transport information.
`static java.lang.String` | `TRANSPORT_URL`
`static java.lang.String` | `URL_HTTP_LOCATION_PARAMS_LIST`
`static java.lang.String` | `URL_PARAMETER_LIST`
`static java.lang.String` | `USE_ASYNC_OPERATIONS` If this is set to a Boolean 'true' value, then OutIn operations will always be treated as async.
`static java.lang.String` | `USE_CUSTOM_LISTENER` If this is set to a Boolean 'true' value, the replyTo value will not be replaced in an OutIn invocation.
`static java.lang.String` | `USE_DEFAULT_FALLBACK_BUILDER` This is used to enable/disable Axis2 default fall back builder.

Field Detail

### ENABLE_REST

    static final java.lang.String ENABLE_REST

See Also:
  Constant Field Values

### ENABLE_HTTP_CONTENT_NEGOTIATION

    static final java.lang.String ENABLE_HTTP_CONTENT_NEGOTIATION

See Also:
  Constant Field Values

### ENABLE_REST_THROUGH_GET

    static final java.lang.String ENABLE_REST_THROUGH_GET

See Also:
  Constant Field Values

### ARTIFACTS_TEMP_DIR

    static final java.lang.String ARTIFACTS_TEMP_DIR

See Also:
  Constant Field Values

### ENABLE_MTOM

    static final java.lang.String ENABLE_MTOM

See Also:
  Constant Field Values

### MTOM_THRESHOLD

    static final java.lang.String MTOM_THRESHOLD

See Also:
  Constant Field Values

### CACHE_ATTACHMENTS

    static final java.lang.String CACHE_ATTACHMENTS

See Also:
  Constant Field Values

### ATTACHMENT_TEMP_DIR

    static final java.lang.String ATTACHMENT_TEMP_DIR

See Also:
  Constant Field Values

### FILE_SIZE_THRESHOLD

    static final java.lang.String FILE_SIZE_THRESHOLD

See Also:
  Constant Field Values

### ENABLE_SWA

    static final java.lang.String ENABLE_SWA

See Also:
  Constant Field Values

### MIME_BOUNDARY

    static final java.lang.String MIME_BOUNDARY

See Also:
  Constant Field Values

### MM7_COMPATIBLE

    static final java.lang.String MM7_COMPATIBLE

See Also:
  Constant Field Values

### MM7_INNER_BOUNDARY

    static final java.lang.String MM7_INNER_BOUNDARY

See Also:
  Constant Field Values

### MM7_PART_CID

    static final java.lang.String MM7_PART_CID

See Also:
  Constant Field Values

### REDUCE_WSDL_MEMORY_CACHE

    static final java.lang.String REDUCE_WSDL_MEMORY_CACHE

See Also:
  Constant Field Values

### REDUCE_WSDL_MEMORY_TYPE

    static final java.lang.String REDUCE_WSDL_MEMORY_TYPE

See Also:
  Constant Field Values

### HTTP_METHOD_GET

    static final java.lang.String HTTP_METHOD_GET

See Also:
  Constant Field Values

### HTTP_METHOD_DELETE

    static final java.lang.String HTTP_METHOD_DELETE

See Also:
  Constant Field Values

### HTTP_METHOD_PUT

    static final java.lang.String HTTP_METHOD_PUT

See Also:
  Constant Field Values

### HTTP_METHOD

    static final java.lang.String HTTP_METHOD

See Also:
  Constant Field Values

### HTTP_METHOD_POST

    static final java.lang.String HTTP_METHOD_POST

See Also:
  Constant Field Values

### HTTP_METHOD_HEAD

    static final java.lang.String HTTP_METHOD_HEAD

See Also:
  Constant Field Values

### CONTENT_TYPE

    static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

### CONFIG_CONTEXT_TIMEOUT_INTERVAL

    static final java.lang.String CONFIG_CONTEXT_TIMEOUT_INTERVAL

See Also:
  Constant Field Values

### CONFIG_CONTEXT_TIMOUT_INTERVAL

    static final java.lang.String CONFIG_CONTEXT_TIMOUT_INTERVAL

  Deprecated. MISSPELLING
  See Also:
    Constant Field Values

### TRANSPORT_IN_URL

    static final java.lang.String TRANSPORT_IN_URL

See Also:
  Constant Field Values

### URL_PARAMETER_LIST

    static final java.lang.String URL_PARAMETER_LIST

See Also:
  Constant Field Values

### URL_HTTP_LOCATION_PARAMS_LIST

    static final java.lang.String URL_HTTP_LOCATION_PARAMS_LIST

See Also:
  Constant Field Values

### SEND_STACKTRACE_DETAILS_WITH_FAULTS

    static final java.lang.String SEND_STACKTRACE_DETAILS_WITH_FAULTS

See Also:
  Constant Field Values

### DRILL_DOWN_TO_ROOT_CAUSE_FOR_FAULT_REASON

    static final java.lang.String DRILL_DOWN_TO_ROOT_CAUSE_FOR_FAULT_REASON

See Also:
  Constant Field Values

### DISABLE_REST

    static final java.lang.String DISABLE_REST

See Also:
  Constant Field Values

### DISABLE_SOAP11

    static final java.lang.String DISABLE_SOAP11

See Also:
  Constant Field Values

### DISABLE_SOAP12

    static final java.lang.String DISABLE_SOAP12

See Also:
  Constant Field Values

### TRANSPORT_URL

    static final java.lang.String TRANSPORT_URL

See Also:
  Constant Field Values

### DISABLE_ADDRESSING_FOR_OUT_MESSAGES

    static final java.lang.String DISABLE_ADDRESSING_FOR_OUT_MESSAGES

  Deprecated. please use org.apache.axis2.addressing.AddressingConstants.DISABLE_ADDRESSING_FOR_OUT_MESSAGES
  See Also:
    Constant Field Values

### DISABLE_SOAP_ACTION

    static final java.lang.String DISABLE_SOAP_ACTION

See Also:
  Constant Field Values

### CHARACTER_SET_ENCODING

    static final java.lang.String CHARACTER_SET_ENCODING

  Field CHARACTER_SET_ENCODING

  See Also:
    Constant Field Values

### USE_CUSTOM_LISTENER

    static final java.lang.String USE_CUSTOM_LISTENER

  If this is set to a Boolean 'true' value, the replyTo value will not be replaced in an OutIn invocation. This is useful for modules that hope to get the reply message in its own manner.

  See Also:
    Constant Field Values

### USE_ASYNC_OPERATIONS

    static final java.lang.String USE_ASYNC_OPERATIONS

  If this is set to a Boolean 'true' value, then OutIn operations will always be treated as async. This is useful for modules that layer async behaviour on top of sync channels.

  See Also:
    Constant Field Values

### MESSAGE_TYPE

    static final java.lang.String MESSAGE_TYPE

  This is used to specify the message format which the message needs to be serializes.

  See Also:
    `MessageFormatter`, Constant Field Values

### MESSAGE_FORMATTER

    static final java.lang.String MESSAGE_FORMATTER

See Also:
  Constant Field Values

### USE_DEFAULT_FALLBACK_BUILDER

    static final java.lang.String USE_DEFAULT_FALLBACK_BUILDER

  This is used to enable/disable Axis2 default fall back builder. When enabled Axis2 will build any message that has a content type which is not supported by the configured Axis2 builder will be built using this builder.

  See Also:
    Constant Field Values

### SOAP_RESPONSE_MEP

    static final java.lang.String SOAP_RESPONSE_MEP

See Also:
  Constant Field Values

### TRANSPORT_INFO_MAP

    static final java.lang.String TRANSPORT_INFO_MAP

  This will be used as a key for storing transport information.

  See Also:
    Constant Field Values

### DISABLE_RESPONSE_ACK

    static final java.lang.String DISABLE_RESPONSE_ACK

  If this is set to a Boolean 'true' value, then RequestResponseTransport instances will not be signalled by the Dispatch phase. This is useful for modules that add wish to send extra messages in the back-channel.

  See Also:
    Constant Field Values

### DEPLOYMENT_LIFE_CYCLE_LISTENER

    static final java.lang.String DEPLOYMENT_LIFE_CYCLE_LISTENER

  This constant is used to add an deployment life cycle listener to Axis2

  See Also:
    Constant Field Values

### GENERATE_ABSOLUTE_LOCATION_URIS

    static final java.lang.String GENERATE_ABSOLUTE_LOCATION_URIS

See Also:
  Constant Field Values

### REST_LOCATION_PARAM

    static final java.lang.String REST_LOCATION_PARAM

See Also:
  Constant Field Values

### REST_METHOD_PARAM

    static final java.lang.String REST_METHOD_PARAM

See Also:
  Constant Field Values

### REST_INPUTSERIALIZE_PARAM

    static final java.lang.String REST_INPUTSERIALIZE_PARAM

See Also:
  Constant Field Values

### REST_OUTPUTSERIALIZE_PARAM

    static final java.lang.String REST_OUTPUTSERIALIZE_PARAM

See Also:
  Constant Field Values

### ENABLE_CHILD_FIRST_CLASS_LOADING

    static final java.lang.String ENABLE_CHILD_FIRST_CLASS_LOADING

  this parameter enables child first class loading. so the modules and services first use the classes in their class loader first

  See Also:
    Constant Field Values

### APPLICATION_XML_BUILDER_ALLOW_DTD

    static final java.lang.String APPLICATION_XML_BUILDER_ALLOW_DTD

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.